SoXtInputFocus(3IV)

NAME
SoXtInputFocus — reports input focus change events

INHERITS FROM
SoXtDevice > SoXtInputFocus

SYNOPSIS
#include <Inventor/Xt/devices/SoXtInputFocus.h>

#define SO_XT_ALL_FOCUS_EVENTS (EnterWindowMask | LeaveWindowMask)

Methods from class SoXtInputFocus:

SoXtInputFocus(EventMask mask = SO_XT_ALL_FOCUS_EVENTS)

~SoXtInputFocus()

Methods from class SoXtDevice:

virtual void
enable(Widget w, XtEventHandler f, XtPointer data, Window win = NULL)
virtual void
disable(Widget w, XtEventHandler f, XtPointer data)
virtual const SoEvent *
translateEvent(XAnyEvent *xevent)
void
setWindowSize(const SbVec2s &size)
const SbVec2s &
getWindowSize() const

DESCRIPTION
This class reports input focus change events (i.e. when the cursor crosses into or out of the window). There are no input focus events in Inventor, so this always returns NULL when asked to translate events. When this class is registered on a render area, the render area will receive X input focus change events. (This class is extensively employed by the viewer classes.)

METHODS

SoXtInputFocus(EventMask mask = SO_XT_ALL_FOCUS_EVENTS)

~SoXtInputFocus()
Constructor and destructor. To the constructor, pass which input focus events you are interested in as a bitwise OR of the following values:

EnterWindowMask — Input focus entered the window

LeaveWindowMask — Input focus left the window

Or simply pass the defined value SO_XT_ALL_FOCUS_EVENTS for all input focus events.

SEE ALSO
SoXtDevice